#<profile4xi profile = "12" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "constant_logger4xi.py">
#<abstract4xi abstract = "Provides the class ConstantLogger4Xi."/>
#<refer4xi reference = "logger4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------
#

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'ConstantLogger4Xi', 'init_notset4xi', 'set_notset4xi', 'get_notset4xi', 
            'init_subdebug4xi', 'set_subdebug4xi', 'get_subdebug4xi',
            'init_debug4xi', 'set_debug4xi', 'get_debug4xi',
            'init_subwarning4xi', 'set_subwarning4xi', 'get_subwarning4xi',
            'init_info4xi', 'set_info4xi', 'get_info4xi', 
            'init_logger_name4xi', 'set_logger_name4xi', 'get_logger_name4xi',
            'init_subwarning4xi', 'set_subwarning4xi', 'get_subwarning4xi', 
            'init_default_logging_format_logger4xi', 'set_default_logging_format_logger4xi', 'get_default_logging_format_logger4xi' ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:
    import _winapi
except:
    pass    
try:                 # most-common ones
    import errno
    import time
    import tempfile
    import itertools         
except:
    pass
try:                 # rare ones
    import socket          
except:
    pass 
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
#"
#/>
     
# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global NOTSET4XI
global SUBDEBUGXI
global DEBUG4XI
global INFO4XI
global SUBWARNING4XI
global LOGGER_NAME4XI
global DEFAULT_LOGGING_FORMAT_LOGGER4XI
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
NOTSET4XI = 0
SUBDEBUGXI = 5
DEBUG4XI = 10
INFO4XI = 20
SUBWARNING4XI = 25 
LOGGER_NAME4XI = 'multiprocessing4xi'
DEFAULT_LOGGING_FORMAT_LOGGER4XI = '[%(levelname)s/%(processName)s] %(message)s]'
#"
#"/>
 
    

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from ace_object4xi import ace_object4xi
from logger4xi import Logger4Xi
from print4xi import print4xi
from reason_object4xi import reason_object4xi
from sense_object4xi import sense_object4xi
from time4xi import time4xi
#/>

# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-notset4xi" usage = "
#   initializes NOTSET4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_notset4xi(init_notset4xi_param):          
    '''
    init_notset4xi initializes NOTSET4XI
    '''
    global NOTSET4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
   
    class2print = 'init_notset4xi'
    method2print = 'init_notset4xi'
     
    message2print = "{started" + "; init-notset4xi-started: " + str(init_notset4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
        
          
        
    
    if init_notset4xi_param != 0:
       NOTSET4XI = init_notset4xi_param
    else:
       NOTSET4XI = 0 
        
    message2print = "{initialized" + "; notset4xi-initialized-by-init-notset4xi to: " + str(NOTSET4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
            
    message2print = "{returning" + "; init-notset4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
           
    
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-notset4xi" usage = "
# sets NOTSET4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_notset4xi(set_notset4xi_param):          
    '''
    set_notset4xi sets NOTSET4XI
    '''
    global NOTSET4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'set_notset4xi'
    method2print = 'set_notset4xi'    
    
     
    message2print = "{started" + "; set-notset4xi-started: " + str(set_notset4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
   
     
    NOTSET4XI = set_notset4xi_param

    message2print = "{set" + "; notset4xi-set-by-set-notset4xi to: " + str(NOTSET4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
            
    message2print = "{returning" + "; set-notset4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   


#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-notset4xi" usage = "
# returns NOTSET4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_notset4xi():          
    '''
    get_notset4xi returns NOTSET4XI
    '''
    global NOTSET4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
   

    class2print = 'get_notset4xi'
    method2print = 'get_notset4xi'

     
    message2print = "{started" + "; get-notset4xi-started: " + str(get_notset4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
    message2print = "{returning" + "; notset4xi-returning-by-get-notset4xi: " + str(NOTSET4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
        
         
    return NOTSET4XI    
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-subdebug4xi" usage = "
# initializes SUBDEBUGXI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_subdebug4xi(init_subdebug4xi_param):          
    '''
    init_subdebug4xi initializes SUBDEBUGXI
    '''
    global SUBDEBUGXI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'init_subdebug4xi'
    method2print = 'init_subdebug4xi'
        
     
    message2print = "{started" + "; init-subdebug4xi-started: " + str(init_subdebug4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
   
  
    if init_subdebug4xi_param:
       SUBDEBUGXI = init_subdebug4xi_param
    else:
       SUBDEBUGXI = 5    
    
        
    message2print = "{initialized" + "; subdebugxi-initialized-by-init-subdebug4xi to: " + str(SUBDEBUGXI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
       
    message2print = "{returning" + "; init-subdebug4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   

#</function4xi> 

         
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-subdebug4xi" usage = "
# sets SUBDEBUGXI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_subdebug4xi(set_subdebug4xi_param):          
    '''
    set_subdebug4xi sets SUBDEBUGXI
    '''
    global SUBDEBUGXI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'set_subdebug4xi'
    method2print = 'set_subdebug4xi'    
    
     
    message2print = "{started" + "; set-subdebug4xi-started: " + str(set_subdebug4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
   
      
    SUBDEBUGXI = set_subdebug4xi_param             

    message2print = "{set" + "; subdebugxi-set-by-set-subdebug4xi to: " + str(SUBDEBUGXI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    
    message2print = "{returning" + "; set-subdebug4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   

#</function4xi> 

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-subdebug4xi" usage = "
# returns SUBDEBUGXI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_subdebug4xi():          
    '''
    get_subdebug4xi returns SUBDEBUGXI
    '''
    global SUBDEBUGXI

        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
   
    class2print = 'get_subdebug4xi'
    method2print = 'get_subdebug4xi'
    
     
    message2print = "{started" + "; get-subdebug4xi-started: " + str(get_subdebug4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
       
    message2print = "{returning" + "; subdebugxi-returning-by-get-subdebug4xi: " + str(SUBDEBUGXI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
     
    
    return SUBDEBUGXI    

#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-debug4xi" usage = "
# inits DEBUG4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_debug4xi(init_debug4xi_param):          
    '''
    init_debug4xi inits DEBUG4XI
    '''
    global DEBUG4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'init_debug4xi'
    method2print = 'init_debug4xi'    
    
     
    message2print = "{started" + "; init-debug4xi-started: " + str(init_debug4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
   
      
    
    if init_debug4xi_param:
       DEBUG4XI = init_debug4xi_param    
    else:
       DEBUG4XI = 10      
        
    message2print = "{initialized" + "; debug4xi-initialized-by-init-debug4xi to: " + str(DEBUG4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
       
    message2print = "{returning" + "; init-debug4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   

#</function4xi> 

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-debug4xi" usage = "
# sets DEBUG4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_debug4xi(set_debug4xi_param):          
    '''
    set_debug4xi sets DEBUG4XI
    '''
    global DEBUG4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'set_debug4xi'
    method2print = 'set_debug4xi'    
    
     
    message2print = "{started" + "; set-debug4xi-started: " + str(set_debug4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
   
      
    DEBUG4XI = set_debug4xi_param           

    message2print = "{set" + "; debug4xi-set-by-set-debug4xi to: " + str(DEBUG4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
  
    
    message2print = "{returning" + "; set-debug4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   


#</function4xi> 

        
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-debug4xi" usage = "
# returns DEBUG4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_debug4xi():          
    '''
    get_debug4xi returns DEBUG4XI
    '''
    global DEBUG4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
   

    class2print = 'get_debug4xi'
    method2print = 'get_debug4xi'
    
     
    message2print = "{started" + "; get-debug4xi-started: " + str(get_debug4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
   
       
    message2print = "{returning" + "; debug4xi-returning-by-get-debug4xi: " + str(DEBUG4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
      
    return DEBUG4XI    
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-info4xi" usage = "
# inits INFO4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_info4xi(init_info4xi_param):          
    '''
    init_info4xi inits INFO4XI
    '''
    global INFO4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'init_info4xi'
    method2print = 'init_info4xi'    
    
     
    message2print = "{started" + "; init-info4xi-started: " + str(init_info4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
   
    
    if init_info4xi_param: 
       INFO4XI = init_info4xi_param
    else:
       INFO4XI = 20           
        
    message2print = "{initialized" + "; info4xi-initialized-by-init-info4xi to: " + str(INFO4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
   
    
    message2print = "{returning" + "; init-info4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-info4xi" usage = "
# sets INFO4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_info4xi(set_info4xi_param):          
    '''
    set_info4xi sets INFO4XI
    '''
    global INFO4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
    class2print = 'set_info4xi'
    method2print = 'set_info4xi'
     
    message2print = "{started" + "; set-info4xi-started: " + str(set_info4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
    

    INFO4XI = set_info4xi_param      

    message2print = "{set" + "; info4xi-set-by-set-info4xi to: " + str(INFO4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      
    message2print = "{returning" + "; set-info4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
       

#</function4xi> 

                 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-info4xi" usage = "
# returns INFO4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_info4xi():          
    '''
    get_info4xi returns INFO4XI
    '''
    global INFO4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
    class2print = 'get_info4xi'
    method2print = 'get_info4xi'
    
     
    message2print = "{started" + "; get-info4xi-started: " + str(get_info4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
       
    message2print = "{returning" + "; info4xi-returning-by-get-info4xi: " + str(INFO4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
      
    return INFO4XI       
#</function4xi> 

 
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-subwarning4xi" usage = "
# inits SUBWARNING4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_subwarning4xi(init_subwarning4xi_param):          
    '''
    init_subwarning4xi inits SUBWARNING4XI
    '''
    global SUBWARNING4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'init_subwarning4xi'
    method2print = 'init_subwarning4xi'
    
     
    message2print = "{started" + "; init-subwarning4xi-started: " + str(init_subwarning4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
  
      
    if init_subwarning4xi_param:
        SUBWARNING4XI = init_subwarning4xi_param
    else:
        SUBWARNING4XI = 25       
        
    message2print = "{initialized" + "; subwarning4xi-initialized-by-init-subwarning4xi to: " + str(SUBWARNING4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
       
    message2print = "{returning" + "; init-subwarning4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   

#</function4xi> 

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-subwarning4xi" usage = "
# sets SUBWARNING4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_subwarning4xi(set_subwarning4xi_param):          
    '''
    set_subwarning4xi sets SUBWARNING4XI
    '''
    global SUBWARNING4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'set_subwarning4xi'
    method2print = 'set_subwarning4xi'
    
     
    message2print = "{started" + "; set-subwarning4xi-started: " + str(set_subwarning4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
     
    SUBWARNING4XI = set_subwarning4xi_param    

    message2print = "{set" + "; subwarning4xi-set-by-set-subwarning4xi to: " + str(SUBWARNING4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      
    message2print = "{returning" + "; set-subwarning4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
           

#</function4xi> 

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-subwarning4xi" usage = "
# returns SUBWARNING4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_subwarning4xi():          
    '''
    get_subwarning4xi returns SUBWARNING4XI
    '''
    global SUBWARNING4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
   

    class2print = 'get_subwarning4xi'
    method2print = 'get_subwarning4xi'
    
     
    message2print = "{started" + "; get-subwarning4xi-started: " + str(get_subwarning4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    
       
    message2print = "{returning" + "; subwarning4xi-returning-by-get-subwarning4xi: " + str(SUBWARNING4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
      
    return SUBWARNING4XI       


   
#</function4xi> 

 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-logger-name4xi" usage = "
# inits LOGGER_NAME4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_logger_name4xi(init_logger_name4xi_param):          
    '''
    init_logger_name4xi inits LOGGER_NAME4XI
    '''
    global LOGGER_NAME4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'init_logger_name4xi'
    method2print = 'init_logger_name4xi'
     
    message2print = "{started" + "; init-logger-name4xi-started: " + str(init_logger_name4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       

    
    if init_logger_name4xi_param:
        LOGGER_NAME4XI = init_logger_name4xi_param    
    else:
        LOGGER_NAME4XI = 'multiprocessing4xi'                  
        
    message2print = "{initialized" + "; logger-name4xi-initialized-by-init-logger-name4xi to: " + str(LOGGER_NAME4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
       
    message2print = "{returning" + "; init-logger-name4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   

#</function4xi> 

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-logger-name4xi" usage = "
# sets LOGGER_NAME4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_logger_name4xi(set_logger_name4xi_param):          
    '''
    set_logger_name4xi sets LOGGER_NAME4XI
    '''
    global LOGGER_NAME4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'set_logger_name4xi'
    method2print = 'set_logger_name4xi'
     
    message2print = "{started" + "; set-logger-name4xi-started: " + str(set_logger_name4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
 
      
    LOGGER_NAME4XI = set_logger_name4xi_param  

    message2print = "{set" + "; logger-name4xi-set-by-set-logger-name4xi to: " + str(LOGGER_NAME4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      
    message2print = "{returning" + "; set-logger-name4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
           

#</function4xi> 

    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-logger-name4xi" usage = "
# returns LOGGER_NAME4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_logger_name4xi():          
    '''
    get_logger_name4xi returns LOGGER_NAME4XI
    '''
    global LOGGER_NAME4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
   

    class2print = 'get_logger_name4xi'
    method2print = 'get_logger_name4xi'
     
    message2print = "{started" + "; get-logger-name4xi-started: " + str(get_logger_name4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
       
    message2print = "{returning" + "; logger-name4xi-returning-by-get-logger-name4xi: " + str(LOGGER_NAME4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
     
    return LOGGER_NAME4XI      
#</function4xi> 

         
    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-default-logging-format-logger4xi" usage = "
# inits DEFAULT_LOGGING_FORMAT_LOGGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_default_logging_format_logger4xi(init_default_logging_format_logger4xi_param):          
    '''
    init_default_logging_format_logger4xi inits DEFAULT_LOGGING_FORMAT_LOGGER4XI
    '''
    global DEFAULT_LOGGING_FORMAT_LOGGER4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
        
    class2print = 'init_default_logging_format_logger4xi'
    method2print = 'init_default_logging_format_logger4xi'
    
     
    message2print = "{started" + "; init-default-logging-format-logger4xi-started: " + str(init_default_logging_format_logger4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
   
        
    DEFAULT_LOGGING_FORMAT_LOGGER4XI = '[%(levelname)s/%(processName)s] %(message)s]'
    
    if init_default_logging_format_logger4xi_param:
        DEFAULT_LOGGING_FORMAT_LOGGER4XI = init_default_logging_format_logger4xi_param
    else:
        DEFAULT_LOGGING_FORMAT_LOGGER4XI = '[%(levelname)s/%(processName)s] %(message)s]'      

        
    message2print = "{initialized" + "; default-logging-format-logger4xi-initialized-by-init-default-logging-format-logger4xi to: " + str(DEFAULT_LOGGING_FORMAT_LOGGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
       
    message2print = "{returning" + "; init-default-logging-format-logger4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
   
#</function4xi> 

         
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-default-logging-format_logger4xi" usage = "
# sets DEFAULT_LOGGING_FORMAT_LOGGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_default_logging_format_logger4xi(set_default_logging_format_logger4xi_param):          
    '''
    set_default_logging_format_logger4xi sets DEFAULT_LOGGING_FORMAT_LOGGER4XI
    '''
    global DEFAULT_LOGGING_FORMAT_LOGGER4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
       
    class2print = 'set_default_logging_format_logger4xi'
    method2print = 'set_default_logging_format_logger4xi'
     
    message2print = "{started" + "; set-default-logging-format-logger4xi-started: " + str(set_default_logging_format_logger4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       

    DEFAULT_LOGGING_FORMAT_LOGGER4XI = set_default_logging_format_logger4xi_param   

    message2print = "{set" + "; default-logging-format-logger4xi-set-by-set-default-logging-format-logger4xi to: " + str(DEFAULT_LOGGING_FORMAT_LOGGER4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
      
    message2print = "{returning" + "; set-default-logging-format-logger4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
       

#</function4xi> 

           
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-default-logging-format-logger4xi" usage = "
# returns DEFAULT_LOGGING_FORMAT_LOGGER4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_default_logging_format_logger4xi():          
    '''
    get_default_logging_format_logger4xi returns DEFAULT_LOGGING_FORMAT_LOGGER4XI
    '''
    global DEFAULT_LOGGING_FORMAT_LOGGER4XI
        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  

    class2print = 'get_default_logging_format_logger4xi'
    method2print = 'get_default_logging_format_logger4xi'
     
    message2print = "{started" + "; get-default-logging-format-logger4xi-started: " + str(get_default_logging_format_logger4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
       
    message2print = "{returning" + "; default-logging-format-logger4xi-returning-by-get-default-logging-format: " + str(DEFAULT_LOGGING_FORMAT_LOGGER4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
   
    return DEFAULT_LOGGING_FORMAT_LOGGER4XI        

#</function4xi> 

      
# -------------------------------------------------------------------------------------------------
#<function4xi function = "constant-logger4x" usage = "
# defines logger4xi constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def constant_logger4xi(constant_logger4xi_param):
    '''
    constant_logger4xi defines logger4xi constants
    '''
    
    global NOTSET4XI
    global SUBDEBUGXI
    global DEBUG4XI 
    global INFO4XI
    global SUBWARNING4XI
    global LOGGER_NAME4XI
    global DEFAULT_LOGGING_FORMAT_LOGGER4XI

        
    # ---------------------------------------------------------------------------------------------
    #
    # ---------------------------------------------------------------------------------------------  
     
    class2print = 'constant_logger4xi'
    method2print = 'constant_logger4xi'
    
     
    message2print = "{started" + "; constant-logger4xi-started: " + str(constant_logger4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
   
    if constant_logger4xi_param == 1:
       
        message2print = "{returning" + "; notset4xi-returning-by-constant-logger4xi: " + str(NOTSET4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
          
        return NOTSET4XI 

    if constant_logger4xi_param == 2:
       
        message2print = "{returning" + "; subdebugxi-returning-by-constant-logger4xi: " + str(SUBDEBUGXI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
           
        return SUBDEBUGXI        
    
    if constant_logger4xi_param == 3:
       
        message2print = "{returning" + "; debug4xi-returning-by-constant-logger4xi: " + str(DEBUG4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
            
        return DEBUG4XI    
    
    if constant_logger4xi_param == 4:
       
        message2print = "{returning" + "; info4xi-returning-by-constant-logger4xi: " + str(INFO4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
            
        return INFO4XI         
 
    if constant_logger4xi_param == 5:
       
        message2print = "{returning" + "; subwarning4xi-returning-by-constant-logger4xi: " + str(SUBWARNING4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
            
        return SUBWARNING4XI  
        
    if constant_logger4xi_param == 6:
       
        message2print = "{returning" + "; logger-name4xi-returning-by-constant-logger4xi: " + str(LOGGER_NAME4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
           
        return LOGGER_NAME4XI
        
    if constant_logger4xi_param == 7:
       
        message2print = "{returning" + "; default-logging-format-logger4xi-returning-by-constant-logger4xi: " + str(DEFAULT_LOGGING_FORMAT_LOGGER4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)   
            
        return DEFAULT_LOGGING_FORMAT_LOGGER4XI
                                             
    return False
#</function4xi> 

     
# =================================================================================================
# ConstantLogger4Xi class
#<class4xi class = "ConstantLogger4Xi" base = "object" child = "None" synopsis = "offers services for logger constants" usage = "debugging"
#>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
class ConstantLogger4Xi(object): #<-- inherits from object class
    '''
    ConstantLogger4xi offers services for logger constants
    '''            
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi expose = "
    _exposed_ = ('init_notset', 'set_notset', 'get_notset', 
                 'init_subdebug', 'set_subdebug', 'get_subdebug',
                 'init_debug', 'set_debug', 'get_debug',
                 'init_subwarning', 'set_subwarning', 'get_subwarning',
                 'init_info', 'set_info', 'get_info', 
                 'init_logger_name', 'set_logger_name', 'get_logger_name',
                 'init_subwarning', 'set_subwarning', 'get_subwarning', 
                 'init_default_logging_format_logger', 'set_default_logging_format_logger', 'get_default_logging_format_logger',
                 'sense', 'reason', 'ace')          
    #"
    #/>
                                 
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-ConstantLogger4Xi" usage = "initilizes ConstantLogger4Xi objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def __init__(self, 
        notset_param=0, 
        subdebug_param=5, 
        debug_param=10, 
        info_param=20, 
        subwarning_param= 25, 
        logger_name_param = 'logger multiprocessing4xi', 
        format_param = '[%(levelname)s/%(processName)s] %(message)s]'):
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
        class2print = 'ConstantLogger4Xi'
        method2print = '__init__'
        
        message2print = "{started" + "; init-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
                 
        message2print = "{borning" + "; constantlogger2xi-of-ConstantLogger4Xi-borning: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
                
                
        message2print = "{inheriting" + "; object-inheriting-by-constantlogger2xi-of-ConstantLogger4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                                     
                                           
  
        # ---------------------------------------------------------------------------------------------
        # use Logger4Xi class i.e. do NOT process those global variables in this module
        # ---------------------------------------------------------------------------------------------
        Logger4Xi.set_logger(None)
        
        Logger4Xi.set_log_to_stderr(False)
        
        
        # ---------------------------------------------------------------------------------------------
        # use functions of this module (usingg class methods would also work)
        # -------------------------------------------------------------------------------------------
        
        init_notset4xi(notset_param)
        init_subdebug4xi(subdebug_param) 
        init_debug4xi(debug_param)
        init_info4xi(info_param)
        init_subwarning4xi(subwarning_param)
        init_logger_name4xi(logger_name_param)
        init_default_logging_format_logger4xi(format_param)

        message2print = "{activated" + "; constantlogger2xi-of-ConstantLogger4Xi-activated: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  
                
        message2print = "{inherited" + "; object-inherited-by-constantlogger2xi-of-ConstantLogger4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                    

        message2print = "{returning" + "; init-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
        

        
    #</methodize4xi>
                     
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-notset-of-ConstantLogger4Xi" usage = "initializes NOTSET4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_notset(self,init_notset_param):          
        '''
        init_notset initializes NOTSET4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'init_notset'
        
        message2print = "{started" + "; init-notset-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
                 
                        
        init_notset4xi(init_notset_param)
          
        message2print = "{returning" + "; init-notset-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
        

        
    #</methodize4xi>
             
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-notset-of-ConstantLogger4Xi" usage = "sets NOTSET4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_notset(self,set_notset_param):          
        '''
        set_notset sets NOTSET4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'set_notset'
        
        
        message2print = "{started" + "; set-notset-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
    
        set_notset4xi(set_notset_param)
          
        message2print = "{returning" + "; set-notset-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
             

    #</methodize4xi>
     
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-notset-of-ConstantLogger4Xi" usage = "returns NOTSET4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_notset(self):          
        '''
        get_notset returns NOTSET4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'get_notset'
        
        
        message2print = "{started" + "; get-notset-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
           
        message2print = "{returning" + "; get-notset4xi-function-returning-by-get-notset-of-ConstantLogger4Xi: " + str(get_notset4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
                           
        return get_notset4xi()     
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-subdebug-of-ConstantLogger4Xi" usage = "initializes SUBDEBUGXI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_subdebug(self,init_subdebug_param):          
        '''
        init_subdebug initializes SUBDEBUGXI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'init_subdebug'
        
        
        message2print = "{started" + "; init-subdebug-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        
        init_subdebug4xi(init_subdebug_param)
          
        message2print = "{returning" + "; init-subdebug-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
           

    #</methodize4xi>
             
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-subdebug-of-ConstantLogger4Xi" usage = "sets SUBDEBUGXI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_subdebug(self,set_subdebug_param):          
        '''
        set_subdebug sets SUBDEBUGXI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'set_subdebug'
        
        
        message2print = "{started" + "; set-subdebug-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
    
        set_subdebug4xi(set_subdebug_param)            
          
          
        message2print = "{returning" + "; set-subdebug-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
     
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-subdebug-of-ConstantLogger4Xi" usage = "returns SUBDEBUGXI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_subdebug(self):          
        '''
        get_subdebug returns SUBDEBUGXI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'get_subdebug'
        
        message2print = "{started" + "; get-subdebug-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
            
           
        message2print = "{returning" + "; get-subdebug4xi-function-returning-by-get-subdebug-of-ConstantLogger4Xi: " + str(get_subdebug4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
     
        return get_subdebug4xi()   
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-debug-of-ConstantLogger4Xi" usage = "initializes DEBUG4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_debug(self,init_debug_param):          
        '''
        init_debug initializes DEBUG4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'init_debug'
        
        message2print = "{started" + "; init-debug-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
            

        init_debug4xi(init_debug_param)
          
        message2print = "{returning" + "; init-debug-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
             

    #</methodize4xi>
                  
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-debug-of-ConstantLogger4Xi" usage = "sets DEBUG4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_debug(self,set_debug_param):          
        '''
        set_debug sets DEBUG4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'set_debug'
        
        message2print = "{started" + "; set-debug-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
            

        set_debug4xi(set_debug_param)          
          
          
        message2print = "{returning" + "; set-debug-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
     
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-debug-of-ConstantLogger4Xi" usage = "returns DEBUG4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_debug(self):          
        '''
        get_debug returns DEBUG4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'get_debug'
        
        message2print = "{started" + "; get-debug-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
           
        message2print = "{returning" + "; get-debug4xi-function-returning-by-get-debug-of-ConstantLogger4Xi: " + str(get_debug4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
                 

        return get_debug4xi()    
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-info-of-ConstantLogger4Xi" usage = "inits INFO4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_info(self,init_info_param):          
        '''
        init_info inits INFO4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'init_info'
        
        message2print = "{started" + "; init-info-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
            

        init_info4xi(init_info_param)        
          
          
        message2print = "{returning" + "; init-info-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
                    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-info-of-ConstantLogger4Xi" usage = "sets INFO4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_info(self,set_info_param):          
        '''
        set_info sets INFO4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'set_info'
        
        
        message2print = "{started" + "; set-info-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
    
        set_info4xi(set_info_param)   
          
          
        message2print = "{returning" + "; set-info-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
                    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-info-of-ConstantLogger4Xi" usage = "returns INFO4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_info(self):          
        '''
        get_info returns INFO4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'get_info'
        
        
        message2print = "{started" + "; get-info-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
             
           
        message2print = "{returning" + "; get-info4xi-function-returning-by-get-info-of-ConstantLogger4Xi: " + str(get_info4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
                
        return get_info4xi()       
    
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-subwarning-of-ConstantLogger4Xi" usage = "inits SUBWARNING4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_subwarning(self,init_subwarning_param):          
        '''
        init_subwarning inits SUBWARNING4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'init_subwarning'
        
        
        message2print = "{started" + "; init-subwarning-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
    
          
        init_subwarning4xi(init_subwarning_param)
          
          
        message2print = "{returning" + "; init-subwarning-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
                 
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-subwarning-of-ConstantLogger4Xi" usage = "sets SUBWARNING4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_subwarning(self,set_subwarning_param):          
        '''
        set_subwarning sets SUBWARNING4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'set_subwarning'
        
        
        message2print = "{started" + "; set-subwarning-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
       
  
        set_subwarning4xi(set_subwarning_param)           
          
          
        message2print = "{returning" + "; set-subwarning-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
     
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-subwarning-of-ConstantLogger4Xi" usage = "returns SUBWARNING4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_subwarning(self):          
        '''
        get_subwarning returns SUBWARNING4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'get_subwarning'
        
        
        message2print = "{started" + "; get-subwarning-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
         
           
        message2print = "{returning" + "; get-subwarning4xi-function-returning-by-get-subwarning-of-ConstantLogger4Xi: " + str(get_subwarning4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
                
        return get_subwarning4xi()       
    #</methodize4xi>
        
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-logger-name-of-ConstantLogger4Xi" usage = "inits LOGGER_NAME4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_logger_name(self,init_logger_name_param):          
        '''
        init_logger_name inits LOGGER_NAME4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'init_logger_name'
        
        
        message2print = "{started" + "; init-logger-name-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
       
          
        init_logger_name4xi(init_logger_name_param)      
          
          
        message2print = "{returning" + "; init-logger-name-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
                 
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-logger-name-of-ConstantLogger4Xi" usage = "sets LOGGER_NAME4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_logger_name(self,set_logger_name_param):          
        '''
        set_logger_name sets LOGGER_NAME4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'set_logger_name'
        
        
        message2print = "{started" + "; set-logger-name-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
      
  
        set_logger_name4xi(set_logger_name_param)           
          
          
        message2print = "{returning" + "; set-logger-name-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
     
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-logger-name-of-ConstantLogger4Xi" usage = "returns LOGGER_NAME4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_logger_name(self):          
        '''
        get_logger_name returns LOGGER_NAME4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'get_logger_name'
        
        message2print = "{started" + "; get-logger-name-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
            
           
        message2print = "{returning" + "; get-logger-name4xi-function-returning-by-get-logger-name-of-ConstantLogger4Xi: " + str(get_logger_name4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
           
           
        return get_logger_name4xi()      
    #</methodize4xi>
                
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-default-logging-format-logger-of-ConstantLogger4Xi" usage = "inits DEFAULT_LOGGING_FORMAT_LOGGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_default_logging_format_logger(self,init_default_logging_format_logger_param):          
        '''
        init_default_logging_format_logger inits DEFAULT_LOGGING_FORMAT_LOGGER4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'init_default_logging_format_logger'
        
        message2print = "{started" + "; init-default-logging-format-logger-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
            
   
          
        init_default_logging_format_logger4xi(init_default_logging_format_logger_param)   
          
          
        message2print = "{returning" + "; init-default-logging-format-logger-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
                      
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-default-logging-format-logger-of-ConstantLogger4Xi" usage = "sets DEFAULT_LOGGING_FORMAT_LOGGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_default_logging_format_logger(self,set_default_logging_format_logger_param):          
        '''
        set_default_logging_format_logger sets DEFAULT_LOGGING_FORMAT_LOGGER4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'set_default_logging_format_logger'
        
        
        message2print = "{started" + "; set-default-logging-format-logger-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
     
  
        set_default_logging_format_logger4xi(set_default_logging_format_logger_param)    
          
          
        message2print = "{returning" + "; set-default-logging-format-logger-of-ConstantLogger4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
    #</methodize4xi>
     
           
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-default-logging-format-logger-of-ConstantLogger4Xi" usage = "returns DEFAULT_LOGGING_FORMAT_LOGGER4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_default_logging_format_logger(self):          
        '''
        get_default_logging_format_logger returns DEFAULT_LOGGING_FORMAT_LOGGER4XI
        '''
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'get_default_logging_format_logger'
        
        message2print = "{started" + "; get-default-logging-format-logger-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
            
           
        message2print = "{returning" + "; get-default-logging-format-logger4xi-function-returning-by-get-default-logging-format-logger-of-ConstantLogger4Xi: " + str(get_default_logging_format_logger4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)  
            
        
        return get_default_logging_format_logger4xi()        
    #</methodize4xi>
                                           
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-of-ConstantLogger4Xi" usage = "senses class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def sense(self):
        '''
        senses ConstantLogger4Xi  class objects
        '''
          
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'sense'
        
        
        message2print = "{started" + "; sense-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        
        message2print = "{sensing" + "; constantlogger4xi-sensing-by-sense-of-ConstantLogger4Xi: " + str(ConstantLogger4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                    
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
     
        
        # -----------------------------------------------------------------------------------------
        # get sensed knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb2xi = sense_object4xi(self)
        

        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # -----------------------------------------------------------------------------------------         
        try:
            kb2xi['inheritance-of-constantlogger2xi'] = object
        except:
            message2print = "{yielded" + "; kb2xi-yielded-by-sense-of-ConstantLogger4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
            
            
        message2print = "{sensed" + "; constantlogger4xi-sensed-by-sense-of-ConstantLogger4Xi: " + str(ConstantLogger4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)   
        
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------         
        message2print = "{returning" + "; kb2xi-returning-by-sense-of-ConstantLogger4Xi: " + str(kb2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                               
          
        return kb2xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
    #</methodize4xi>
    
        
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-of-ConstantLogger4Xi" usage = "reasons class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def reason(self):
        '''
        reasons ConstantLogger4Xi class objects
        '''
                 
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'reason'

        
        message2print = "{started" + "; reason-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
       
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        message2print = "{reasoning" + "; constantlogger4xi-reasoning-by-reason-of-ConstantLogger4Xi: " + str(ConstantLogger4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                
        
        # -----------------------------------------------------------------------------------------
        # get reasoned knowledge for this object
        # -----------------------------------------------------------------------------------------         
        kb4xi = reason_object4xi(self)
        
        

  
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb4xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------          
        
        
          
        message2print = "{reasoned" + "; constantlogger4xi-reasoned-by-reason-of-ConstantLogger4Xi: " + str(ConstantLogger4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)               

        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb4xi-returning-by-reason-of-ConstantLogger4Xi: " + str(kb4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
      
          
        return kb4xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
    
    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-of-ConstantLogger4Xi" usage = "aces class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def ace(self):
        '''
        aces ConstantLogger4Xi class objects 
        '''
               
        
        
        class2print = 'ConstantLogger4Xi'
        method2print = 'ace'
        
        
        message2print = "{started" + "; ace-of-ConstantLogger4Xi-started: " + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
           
        message2print = "{acing" + "; constantlogger4xi-acing-by-ace-of-ConstantLogger4Xi: " + str(ConstantLogger4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
   
        
        # -----------------------------------------------------------------------------------------
        # get aced knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb8xi = ace_object4xi(self)  
        



        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb8xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------              
        
        message2print = "{aced" + "; constantlogger4xi-aced-by-ace-of-ConstantLogger4Xi: " + str(ConstantLogger4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
              
   
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb8xi-returning-by-ace-of-ConstantLogger4Xi: " + str(kb8xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
        
        
        return kb8xi
        
        # -----------------------------------------------------------------------------------------
        #
        # ----------------------------------------------------------------------------------------- 
    #</methodize4xi>
#</class4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_constant_logger4xi.txt
#   sense-test-constant-logger4xi.xml
#   reason-test-constant-logger4xi.xml
#   ace-test-constant-logger4xi.xml
#"
#>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

    
    


#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of constant_logger4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
